XDPR(1)

NAME
xdpr - dump an X window directly to a printer

SYNOPSIS
xdpr [ filename ] [ -display host:display ] [ -Pprinter ] [ -device printer_device ] [ option ... ]

DESCRIPTION
Xdpr uses the commands xwd(1), xpr(1), and lpr(1) to dump an X window, process it for a particular printer type, and print it out on the printer of your choice. This is the easiest way to get a printout of a window. Xdpr by default will print the largest possible representation of the window on the output page.

The options for xdpr are the same as those for xpr, xwd, and lpr. The most commonly-used options are described below; see the manual pages for these commands for more detailed descriptions of the many options available.

filename
    Specifies a file containing a window dump (created by xwd) to be printed instead of selecting an X window.

-Pprinter
    Specifies a printer to send the output to. If a printer name is not specified here, xdpr (really, lpr) will send your output to the printer specified by the PRINTER environment variable. Be sure that type of the printer matches the type specified with the -device option.

-display host:display[.screen]
    Normally, xdpr gets the host and display number to use from the environment variable ``DISPLAY''. One can, however, specify them explicitly; see X(1).

-device printer-device
    Specifies the device type of the printer. Available printer devices are "ln03" for the DEC LN03, "pp" for the IBM 3812 PagePrinter, and "ps" for any postscript printer (e.g. DEC LN03R or LPS40). The default is "ps".

-help
    This option displays the list of options known to xdpr.

Any other arguments will be passed to the xwd(1), xpr(1), and lpr(1) commands as appropriate for each.

SEE ALSO
xwd(1), xpr(1), lpr(1), xwud(1), X(1)

ENVIRONMENT
DISPLAY - for which display to use by default.
PRINTER - for which printer to use by default.

COPYRIGHT
Copyright 1985, 1988, Massachusetts Institute of Technology.
See X(1) for a full statement of rights and permissions.

AUTHOR
Paul Boutin, MIT Project Athena
Michael R. Gretzinger, MIT Project Athena
Jim Gettys, MIT Project Athena